[pygtk] python and GTK+-3 - possible?

Dieter Verfaillie dieterv at optionexplicit.be
Thu Mar 17 02:23:42 WST 2011


Seem to have managed to replied only to the python-hackers list
this morning, sorry... Let's try again:

Quoting "John Stowers" <john.stowers.lists at gmail.com>:
> On Tue, 2011-03-15 at 22:31 -0400, John Lumby wrote:
>> R Park wrote:
>
> pygtk.py (what gets executed above) lives in pygobject. This, for
> historical reasons lived there to help easy the pain of the pygtk-1 ->
> pygtk-2 transition. This is why you see pygtk.require(2.0) at the top of
> some programs (although this has not been necessary for some time).
>
> pygtk.py does some things with sys.path to choose which native code gets
> imported. We might start requiring people to call pygtk.require(2.0)
> again in future, depending on the parallel installation capabilities of
> the static parts of pygobject, however I think that discussion is
> ongoing, and not something you should worry about (Dieter, J5, is that
> correct, I have been AFK for a while)

It's being discussed on https://bugzilla.gnome.org/show_bug.cgi?id=3D642048,
where regarding the next PyGObject version (after 2.28) J5 proposed in
comment 2:
- major version becomes 3: pygobject-3;
- stop supporting static bindings;
- internalize all static modules;

So everything will be available from gi3:

-> from gi3.repository import GObject

Personally, I like the idea: it installs nicely in parallel to
everything we've got today and does that without requiring us to
jump through hoops :)

mvg,
Dieter


More information about the pygtk mailing list